flag a comment.
curl --request POST \
--url https://apix.us.amity.co/api/v3/comments/{commentId}/flag \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commentId": "<string>",
"reason": "Others",
"detail": "<string>"
}
'import requests
url = "https://apix.us.amity.co/api/v3/comments/{commentId}/flag"
payload = {
"commentId": "<string>",
"reason": "Others",
"detail": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commentId: '<string>', reason: 'Others', detail: '<string>'})
};
fetch('https://apix.us.amity.co/api/v3/comments/{commentId}/flag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comments": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"commentChildren": [
{
"commentId": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"parentId": "<string>",
"rootId": "<string>",
"referenceId": "<string>",
"dataType": "<string>",
"dataTypes": [],
"data": {},
"metadata": {},
"childrenNumber": 123,
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"reactions": {
"like": 1
},
"reactionsCount": 1,
"myReactions": [
"like"
],
"isDeleted": false,
"editedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"children": [
"<string>"
],
"segmentNumber": 1,
"mentionees": [
{
"type": "user",
"userIds": [
"<string>"
],
"userPublicIds": [
"<string>"
],
"userInternalIds": [
"<string>"
]
}
],
"attachments": [
{
"fileId": "<string>"
}
],
"targetId": "<string>"
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"roles": [
{
"roleId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"permissions": [
"<string>"
],
"isDeleted": false,
"displayName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
]
}{
"status": "error",
"code": 400300,
"message": "Number of flag already exceed."
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Comment
flag a comment.
POST
/
api
/
v3
/
comments
/
{commentId}
/
flag
flag a comment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Get comment by ID.
Body
application/json
information of a comment to be flagged.
⌘I